Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RoleResult

    java.lang.Object
      javax.management.relation.RoleResult

All Implemented Interfaces:
  Serializable

    public class RoleResult

extends Object
implements Serializable

Represents the result of a multiple access to several roles of a relation (either for reading or writing).

The serialVersionUID of this class is `-6304063118040985512L`.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`RoleResult(RoleList list, RoleUnresolvedList unresolvedList)` Constructor.

Method Summary
`RoleList` | `getRoles()` Retrieves list of roles successfully accessed.
`RoleUnresolvedList` | `getRolesUnresolved()` Retrieves list of roles unsuccessfully accessed.
`void` | `setRoles(RoleList list)` Sets list of roles successfully accessed.
`void` | `setRolesUnresolved(RoleUnresolvedList unresolvedList)` Sets list of roles unsuccessfully accessed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleResult

    public RoleResult(RoleList list,
                      RoleUnresolvedList unresolvedList)

  Constructor.

  Parameters:
    `list` - list of roles successfully accessed.
    `unresolvedList` - list of roles not accessed (with problem descriptions).

Method Detail

### getRoles

    public RoleList getRoles()

  Retrieves list of roles successfully accessed.

  Returns:
    a RoleList
  See Also:
    `setRoles(javax.management.relation.RoleList)`

### getRolesUnresolved

    public RoleUnresolvedList getRolesUnresolved()

  Retrieves list of roles unsuccessfully accessed.

  Returns:
    a RoleUnresolvedList.
  See Also:
    `setRolesUnresolved(javax.management.relation.RoleUnresolvedList)`

### setRoles

    public void setRoles(RoleList list)

  Sets list of roles successfully accessed.

  Parameters:
    `list` - list of roles successfully accessed
  See Also:
    `getRoles()`

### setRolesUnresolved

    public void setRolesUnresolved(RoleUnresolvedList unresolvedList)

  Sets list of roles unsuccessfully accessed.

  Parameters:
    `unresolvedList` - list of roles unsuccessfully accessed
  See Also:
    `getRolesUnresolved()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.